<?

session_start();
if(!isset($_SESSION['usuario']))
{
 	echo "<script languaje='JavaScript'>";       
	echo "parent.location.href='session_invalida.php'; ";
	echo "</script>";
}
include("clases/cabevaluacion.class.php");
include("clases/nota.class.php");
include("clases/alumno.class.php");
include("clases/doc_curso.class.php");
include("clases/curso.class.php");
////////////////////
$vcod=$_REQUEST["id"];
$Objvent = new cabevaluacion();
$obje = new nota();
$objp = new alumno();
$objdc = new doc_curso();
$objcurso = new curso();
if($Objvent->BuscarPorCodigo($vcod))
	{		
		$viddoc_curso=$Objvent->getIddoc_curso();
		$vtitulo =$Objvent->getTitulo();
		$vtiempo=$Objvent->getTiempo();
		$vactivo = $Objvent->getActivo();
		if($objdc->BuscarPorCodigo($viddoc_curso))
		  {		$iddoc = $objdc->getIddoc();
		     $vidcurso = $objdc->getIdcurso();
			 if($objcurso->BuscarPorCodigo($vidcurso)){
			    $curso = $objcurso->getCurso();
			 }
		  }		
	}
?>
<html>
<script language="javascript"> 

function envia(id)
	{ 
	  window.open("frmdocing.php?id="+id,"","fullscreen=no, height=400,width=700,left=200,top=130,resizable = no,scrollbars=yes,toolbar = no,status = no");						
	}
	function enviagr(id)
	{ 
	  window.open("frmguia.php?id="+id,"","fullscreen=no, height=700,width=850,left=200,top=0,resizable = no,scrollbars=yes,toolbar = no,status = no");						
	}
</script>
<style type="text/css">
	body {
	font-family: Helvetica;
	font-size: 11px;
	color: #000;
	}
	
	h3 {
		margin: 0px;
		padding: 0px;	
	}

	.suggestionsBox {
		position:relative;
		left: -150px;
		top: -15px;
		margin: 10px 0px 0px 0px;
		width: 300px;
		background-color: #ffffff;
		-moz-border-radius: 7px;
		-webkit-border-radius: 7px;
		border: 2px solid #ccc;	
		color: #000;
	}
	
	.suggestionList {
		margin: 0px;
		padding: 0px;
	}
	
	.suggestionList li {
		
		margin: 0px 0px 3px 0px;
		padding: 3px;
		cursor: pointer;		
	}
	
	.suggestionList li:hover {
		background-color: #00cc33;		
	}
	.textogeneral{font-size:12px; font-family:Verdana, Arial, Helvetica, sans-serif;}
</style>
<head>
<title>DETALLE DE INGRESO</title>

    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="Shortcut Icon" type="image/x-icon" href="assets/icons/book.ico" />
    <script src="js/sweet-alert.min.js"></script>
    <link rel="stylesheet" href="css/sweet-alert.css">
    <link rel="stylesheet" href="css/material-design-iconic-font.min.css">
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="css/jquery.mCustomScrollbar.css">
    <link rel="stylesheet" href="css/timeline.css">
    <link rel="stylesheet" href="css/style.css">
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
    <script>window.jQuery || document.write('<script src="js/jquery-1.11.2.min.js"><\/script>')</script>
    <script src="js/modernizr.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
    <script src="js/main.js"></script>
<script language="javascript"> 
function imprimir() { 
if (navigator.appName.substring(0,8) == 'Netscape') { 
if (parseInt(navigator.appVersion.substring(0,1)) > 3) { 
window.print(); 
} else { 
alert("Esta funcion esta disponible solo para\nNetscape y Explorer version 4 o superiores.\nUd. Puede imprimir seleccionando la funcion\nImprimir del menu Archivo de su navegador\n"); 
} 
} else { 
// IE 5.0 or later 
if ((navigator.appVersion.indexOf(5)) != -1) { 
//alert("IE 5 or above "); 
window.print(); 
} else { 
// IE 4.0 versions 
if (parseInt(navigator.appVersion.substring(0,1)) > 3) { 
// a�adir un confirm 
// Si se utiliza OLECMDEXECOPT_DONTPROMPTUSER y al dialogo de la impresora se 
// le da cancelar se va en error y ya no saca el dialogo.... 

if (confirm('�Este seguro que desea imprimir?')) { 
var OLECMDID_PRINT = 6; 
var OLECMDEXECOPT_DONTPROMPTUSER = 2; 
var OLECMDEXECOPT_PROMPTUSER = 1; 
var WebBrowser = "<OBJECT ID=\"WebBrowser1\" WIDTH=0 HEIGHT=0 CLASSID=\"CLSID:8856F961-340A-11D0-A96B-00C04FD705A2\"></OBJECT>"; 
document.body.insertAdjacentHTML("beforeEnd", WebBrowser); 
WebBrowser1.ExecWB(OLECMDID_PRINT, OLECMDEXECOPT_DONTPROMPTUSER); 
WebBrowser1.outerHTML = ""; 
} 

} else { 
alert("Esta funcion esta disponible solo para\nNetscape y Explorer version 4 o superiores.\nUd. Puede imprimir seleccionando la funcion\nImprimir del menu Archivo de su navegador\n"); 
} 
} 
} 
} 
</script>
<script language="javascript">
	function AbrirVentanaArticulo()
	{
	window.open("frmbuscaprod.php","","fullscreen=no, height=250,width=450,left=200,top=300,resizable = no,scrollbars=yes,toolbar = no,status = no");
	}	
	function guardarDetalle(f)
	   { 
	           document.frmventa.action='controladores/procesacabevaluacion.php';
		       document.frmventa.submit();
		      return true;//}
    	}
	
	function EliminarDetalleIng(f,codArt)
	{
		f.action='controladores/procesaevaluacion.php';
		f.CODEVA_ELIMINAR.value=codArt;
		f.submit();
		return true;
	}
	
	function regresar(id)
	{
	   document.frmventa.action='mancabexamen.php?id='+id;
	   document.frmventa.submit();
		      return true;
	}
	
	function quitar(idnota,idcabeva)
	{
	    document.frmventa.action='controladores/procesaresultado.php?CODNOTA='+idnota+'&txtelim=E&CODINGRESO='+idcabeva;
		document.frmventa.submit();
		return true;
	}
</script>
<script language="javascript">
	function validar(e) { // 1
       tecla = (document.all) ? e.keyCode : e.which; // 2
       if (tecla==8) return true; // 3
       patron =/\d/; // 4
       te = String.fromCharCode(tecla); // 5
       return patron.test(te); // 6
	}
	function validareal(e) { // 1
    tecla = (document.all) ? e.keyCode : e.which; // 2
    if (tecla==8) return true; // 3
    patron =/^\d{0,15}\.?\d{0,2}$/; // 4
    te = String.fromCharCode(tecla); // 5
    return patron.test(te); // 6
} 
</script>
</head>

<body style="margin-top:1%">

<div align="center">
  <form name="frmventa" method="post" action="">
    <table width="100%" border="0" cellspacing="1" align="center">
      
      
      <tr>
        <td width="37%" colspan="4" align="right"><table width="100%" border="0"  align="center" cellpadding="0" cellspacing="1">
          <tr  class="active">
            <td colspan="4" align="center" >RESULTADO DEL CUESTIONARIO DEL CURSO DE 
                  
                  <?=$curso;?>
                                <? //$vcod;?>           </td>
          </tr>
          <tr  class="active">
            <td colspan="4" align="center" ><hr></td>
          </tr>
          <tr >
            <td align="left">TIEMPO:</td>
            <td width="41%" align="left"><?=$vtiempo;?>
              min </td>
            <td width="12%" align="left">
              <input type="hidden" name="CODINGRESO" value="<?=$vcod;?>">
              <input type="hidden" name="txtelim" value="E">
            </td>
            <td align="right"><a href="javascript:regresar('<?=$iddoc;?>');" ><img src="assets/img/regreso.png" width="16" height="16"> </a> |</span> <a href="javascript:imprimir();" class="titulito a"><img src="assets/img/impresion.png" width="16" height="16" border="0"></a></td>
            </tr>
          <tr class="textogeneral">
            <td colspan="4" align="left">&nbsp;</td>
            </tr>
          <tr >
            <td width="9%" align="left" >DESCRIPCION:</td>
            <td align="left"><?=$vtitulo;?>
              <input type="hidden" name="PAG" value="G"></td>
            <td align="left">&nbsp;</td>
            <td align="left">&nbsp;</td>
            </tr>
          <tr >
            <td colspan="4" align="left" >&nbsp;</td>
            </tr>
          <tr >
            <td align="left" >ACTIVO:</td>
            <td align="left"><?=$vactivo;?></td>
            <td align="left">&nbsp;</td>
            <td align="left">&nbsp;</td>
          </tr>
          
        </table></td>
      </tr>
      
      <tr>
        <td colspan="4" align="right"><table width="100%" border="0" >
          <tr >
            <td colspan="4" align="center" >RESULTADOS </td>
          </tr>
          <tr  >
            <td width="4%"  align="center" >N&ordm;</td>
            <td width="45%" align="left">ALUMNO</td>
            <td width="49%" align="left" >NOTA</td>
            <td width="2%"  align="center" >&nbsp;</td>
          </tr>
          <?php
		  $objprod = new alumno();
		  $Objdetven=new nota();
		  $listaVen = $Objdetven->BuscarPorEvaluacion($vcod);
   for($i = 0; $i < count($listaVen); $i++)
       { 
	       if($objprod->BuscarPorCodigo($listaVen[$i]["idalu"]))	
		 		{
		 			$listaVen[$i]["nombres"]=$objprod->getNombres();
					$listaVen[$i]["apellidos"]=$objprod->getApellidos();						
		 		}
     ?>
          <tr class="textogeneral"  onMouseOver="this.style.backgroundColor='#f5f5f5'" onMouseOut="this.style.backgroundColor='FFFFFF'">
            <td align="center">
              <?=($i+1);?>            </td>
            <td align="left">
              <?=$listaVen[$i]['nombres']." ".$listaVen[$i]["apellidos"];?>            </td>
            <td align="left"><?=$listaVen[$i]['nota'];?></td>
            <td align="center" ><a href="javascript:quitar('<?=$listaVen[$i]['idnota'];?>','<?=$listaVen[$i]["idcabeva"];?>');"><span class="glyphicon glyphicon-trash"></span></a></td>
          </tr>
          <?php	
		  $s=$s + number_format($listaVen[$i]['puntaje'],2);
}
?>
          
        </table></td>
      </tr>
    </table>
  <br>
  </form>
</div>
</body>
</html>
